How hard is it to play PS1 games on PSP?

Discussion in 'PSP - Games & Content' started by test84, Aug 25, 2009.

  1. test84
    OP

    test84 GBAtemp's last ninja 2.

    Member
    3,685
    3
    Sep 8, 2006
    Iran
    Iran, Tehran.
    Hi,

    I want to play some PS1 games on my borrowed PSP, I wonder if its an easy task since I don't have much time playing with it and have to return the PSP soon anyway.

    tnx
     
  2. antonkan

    antonkan GBAtemp Maniac

    Member
    1,063
    8
    Jun 13, 2009
    Canada
    Burlington, ON
    Could be hard though. Read the PSP FAQs at GBAtemp for instructions of PlayStation 1 games on the PSP.
     
  3. test84
    OP

    test84 GBAtemp's last ninja 2.

    Member
    3,685
    3
    Sep 8, 2006
    Iran
    Iran, Tehran.
    I think you mean PSX2PSP, is 1.4 its latest version?
     
  4. RTAgent5

    RTAgent5 Member

    Newcomer
    41
    0
    Jul 15, 2009
    United States
    Sioux Falls, SD
    First you have to hack it. That's assuming that it's not already hacked. That's also assuming you have the proper know how and hardware. If not I'd say it's not worth it. If you really want to try though go to www.dark-alex.org and give it a shot. Be careful not to brick it though.
     
  5. myuusmeow

    myuusmeow GBAtemp Advanced Maniac

    Member
    1,643
    0
    Jun 24, 2007
    United States
    Once it's hacked it is incredibly easy. Just open a program like IceTea, then find your ISO and tell it to convert. It'll make it into an eboot ready to play. Some games/firmwares might require Popsloader, just find a torrent of it and put it on your memory stick.
     
  6. test84
    OP

    test84 GBAtemp's last ninja 2.

    Member
    3,685
    3
    Sep 8, 2006
    Iran
    Iran, Tehran.
    Is this IceTea better than PSX2ISO? my firmware is 5.00 M33-4 by the way.
     
  7. myuusmeow

    myuusmeow GBAtemp Advanced Maniac

    Member
    1,643
    0
    Jun 24, 2007
    United States
    IDK, they all do basically the same thing. I just prefer IceTea because its the first one I tried.
    With 5.00 M33 you'll probably need Popsloader, once you find it first try the game with 3.71 pops, it has the most compatibility.